<?php

namespace Tygh\Addons\BifitKassa;

use Tygh\Addons\BifitKassa\Logs;
use Tygh\Addons\BifitKassa\Client;
use Tygh\Addons\BifitKassa\CheckContent;
use Tygh\Http;
use Exception;

/**
 * Bifit Processing
 */
class Processing
{
	protected $token;
	protected $addon;

	public function __construct($token, $addon_settings)
	{
		$this->token = $token;
		$this->addon = $addon_settings;
	}

	public function send($check_data, $order)
	{
		$token_data = $this->token;
		$addon = $this->addon;

		$client = new Client();

		$send_data = $client->sendCheck($check_data, $order, $token_data);

		return $send_data;
	}
}
